Freeciv-3.3: research Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Structures | Data Fields
research Struct Reference

`#include <research.h>`

## Data Structures

struct | research_invention

## Data Fields

int | techs_researched
int | future_tech
Tech_type_id | researching
int | bulbs_researched
Tech_type_id | researching_saved
int | bulbs_researching_saved
int | free_bulbs
struct research::research_invention | inventions [A_ARRAY_SIZE]
Tech_type_id | tech_goal
int | num_known_tech_with_flag [TF_COUNT]
union { |
struct { |
int researching_cost |
int total_bulbs_prod |
} client |
}; |  |

## Detailed Description

Definition at line 39 of file research.h.

## Field Documentation

## ◆ [union]

union { ... } research

## ◆ bulbs_researched

int research::bulbs_researched

Definition at line 53 of file research.h.

Referenced by choose_tech(), dai_manage_taxes(), dai_manage_tech(), get_bulb_tooltip(), get_science_goal_text(), get_science_target_text(), handle_edit_player(), lose_tech(), plr_widget::nation_selected(), qtg_real_science_report_dialog_update(), show_new_turn_info(), tech_researched(), update_bulbs(), update_intel_dialog(), and science_report::update_report().

## ◆ bulbs_researching_saved

int research::bulbs_researching_saved

Definition at line 63 of file research.h.

Referenced by choose_tech(), and update_bulbs().

## ◆ [struct]

struct { ... } research::client

Referenced by get_bulb_tooltip(), get_science_target_text(), plr_widget::nation_selected(), qtg_real_science_report_dialog_update(), show_new_turn_info(), update_intel_dialog(), and science_report::update_report().

## ◆ free_bulbs

int research::free_bulbs

Definition at line 67 of file research.h.

Referenced by choose_tech(), dai_manage_tech(), end_phase(), and update_bulbs().

## ◆ future_tech

int research::future_tech

Definition at line 42 of file research.h.

Referenced by calc_civ_score(), historian_generic(), lose_tech(), research_total_bulbs_required(), researches_init(), and update_bulbs().

## ◆ inventions

struct research::research_invention research::inventions[A_ARRAY_SIZE]

Referenced by choose_tech(), init_tech(), researches_init(), side_right_click_science(), tech_researched(), update_bulbs(), and science_report::update_report().

## ◆ num_known_tech_with_flag

int research::num_known_tech_with_flag[TF_COUNT]

Definition at line 88 of file research.h.

Referenced by num_known_tech_with_flag().

## ◆ researching

Tech_type_id research::researching

Definition at line 52 of file research.h.

Referenced by choose_random_tech(), choose_tech(), dai_manage_tech(), dai_treaty_evaluate(), get_bulb_tooltip(), get_edge_type(), get_researching_info(), get_science_goal_text(), get_science_target_text(), handle_edit_player(), lose_tech(), plr_widget::nation_selected(), node_color(), qtg_real_science_report_dialog_update(), researches_init(), science_dialog_text(), science_report_current_callback(), science_report_redraw(), show_new_turn_info(), side_right_click_science(), tech_researched(), update_bulbs(), update_intel_dialog(), and science_report::update_report().

## ◆ researching_cost

int research::researching_cost

Definition at line 96 of file research.h.

Referenced by get_bulb_tooltip(), get_science_target_text(), plr_widget::nation_selected(), qtg_real_science_report_dialog_update(), show_new_turn_info(), update_intel_dialog(), and science_report::update_report().

## ◆ researching_saved

Tech_type_id research::researching_saved

Definition at line 62 of file research.h.

Referenced by choose_tech(), researches_init(), update_bulbs(), and update_national_activities().

## ◆ tech_goal

Tech_type_id research::tech_goal

Definition at line 83 of file research.h.

Referenced by dai_manage_tech(), dai_treaty_evaluate(), get_edge_type(), handle_edit_player(), handle_player_tech_goal(), init_tech(), node_color(), qtg_real_science_report_dialog_update(), researches_init(), and science_report::update_report().

## ◆ techs_researched

int research::techs_researched

Definition at line 42 of file research.h.

Referenced by dai_choose_diplomat_offensive(), dai_goldequiv_clause(), find_city_to_diplomat(), handle_edit_player(), init_tech(), is_mintechs_req_active(), lose_tech(), and qtg_real_science_report_dialog_update().

## ◆ total_bulbs_prod

int research::total_bulbs_prod

Definition at line 97 of file research.h.